/////////////////////////////////////////////////////////////////////////////
///
/// @file streams.h
///
/// Various output streams for the program.
/// This file imports from CHomP all the output streams that are used within
/// this software package: "sout" for standard output, "scon" for console
/// output (showing progress indicators etc.), and "sbug" for debugging.
/// If necessary, one can set up their own definitions of these streams.
///
/// @author Pawel Pilarczyk
///
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 1997-2010 by Pawel Pilarczyk.
//
// This file is part of my research software package.  This is free software;
// you can redistribute it and/or modify it under the terms of the GNU
// General Public License as published by the Free Software Foundation;
// either version 2 of the License, or (at your option) any later version.
//
// This software is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this software; see the file "license.txt".  If not, write to the
// Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
// MA 02111-1307, USA.

// Started on March 14, 2009. Last revision: March 14, 2009.


#ifndef _FINRESDYN_STREAMS_H_
#define _FINRESDYN_STREAMS_H_


// include selected header files from the CHomP library
#include "chomp/system/textfile.h"


// --------------------------------------------------
// ----------------- output streams -----------------
// --------------------------------------------------

using chomp::homology::sout;
using chomp::homology::scon;
using chomp::homology::sbug;


#endif // _FINRESDYN_STREAMS_H_

